.btn {
  &,
  &:link,
  &:visited {
    text-transform: uppercase;
    text-decoration: none;
    border-radius: 10rem;
    padding: 1.5rem 4rem;
    display: inline-block;
    transition: all 0.2s;
    position: relative;
    font-size: 1.5rem;
    //for btn
    border: none;
    cursor: pointer;
  }
  &:hover {
    transform: translateY(-0.3rem);
    box-shadow: 0 1rem 2rem rgba(0, 0, 0, 0.2);
    &:after {
      transform: scaleX(1.4) scaleY(1.6);
      opacity: 0;
    }
  }
  &:active,
  &:focus {
    outline: none;
    transform: translateY(-0.1rem);
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.2);
  }
  &:after {
    content: "";
    display: inline-block;
    width: 100%;
    height: 100%;
    border-radius: 10rem;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -10;
    transition: all 0.4s;
  }
  &--white {
    background-color: $color-white;
    color: $color-grey-dark;
    &:after {
      background-color: $color-white;
    }
  }
  &--green {
    background-color: $color-primary;
    color: $color-white;
    &:after {
      background-color: $color-primary;
    }
  }
  &--animated {
    animation: moveInBottom 1s ease-out 0.75s;
    animation-fill-mode: backwards;
  }
}
.btn-text {
  &:link,
  &:visited {
    font-size: 1.8rem;
    color: $color-primary;
    text-decoration: none;
    border-bottom: 1px solid $color-primary;
    display: inline-block;
    padding: 0.3rem;
    transition: all 0.2s;
  }
  &:hover {
    color: $color-white;
    background-color: $color-primary;
    transform: translateY(-0.2rem);
    box-shadow: 0 1rem 2rem rgba($color-black, 0.15);
  }
  &:active {
    transform: translateY(0);
    box-shadow: 0 0.5rem 1rem rgba($color-black, 0.15);
  }
}
